Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.format
Class GlobalFormatsEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.format.GlobalFormatsEdit

All Implemented Interfaces:
  javax.swing.undo.UndoableEdit

Direct Known Subclasses:
  ShowHideScaleBarEdit, ShowRootedEdit

    public class GlobalFormatsEdit

extends DocumentEdit

Field Summary
`(package private) GlobalFormats` | `newFormats`
`(package private) GlobalFormats` | `oldFormats`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`GlobalFormatsEdit(Document document, GlobalFormats newFormats)`

Method Summary
`java.lang.String` | `getPresentationName()`
`void` | `redo()`
`private void` | `setFormats(GlobalFormats formats)`
`void` | `undo()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### newFormats

    GlobalFormats newFormats

### oldFormats

    GlobalFormats oldFormats

Constructor Detail

### GlobalFormatsEdit

    public GlobalFormatsEdit(Document document,
                             GlobalFormats newFormats)

Method Detail

### setFormats

    private void setFormats(GlobalFormats formats)

### redo

    public void redo()
              throws javax.swing.undo.CannotRedoException

  Specified by:
    `redo` in interface `javax.swing.undo.UndoableEdit`
  Overrides:
    `redo` in class `DocumentEdit`
  Throws:
    `javax.swing.undo.CannotRedoException`

### undo

    public void undo()
              throws javax.swing.undo.CannotUndoException

  Specified by:
    `undo` in interface `javax.swing.undo.UndoableEdit`
  Overrides:
    `undo` in class `DocumentEdit`
  Throws:
    `javax.swing.undo.CannotUndoException`

### getPresentationName

    public java.lang.String getPresentationName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD